

from os import sep
import project_truescale
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs

import pylab

#timestamp='20080617_001810_run_leharne'
timestamp='20080617_041810_run_original_no_int_polygons_lfountai'

input_dir_name=project_truescale.output_dir+timestamp+sep
observed_dir_name=project_truescale.gauges_dir+'observed'+sep

csv2timeseries_graphs(directories_dic={input_dir_name:['Original no interior polygons',0, 0],
                                       observed_dir_name:['Observed',0,0]},
                        output_dir=input_dir_name,
                        base_name='gauge_',
                        plot_numbers='',
                        quantities=['stage','speed','depth'],
                        extra_plot_name='',
                        assess_all_csv_files=True,                            
                        create_latex=False,
                        verbose=True)

